<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  
  

  


  <head>
    <title>
      #508 (Upgrade doxygen version)
     – cactus
    </title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!--[if IE]><script type="text/javascript">
      if (/^#__msie303:/.test(window.location.hash))
        window.location.replace(window.location.hash.replace(/^#__msie303:/, '#'));
    </script><![endif]-->
        <link rel="search" href="/trac/cactus/search" />
        <link rel="prev" href="/tickets/507.html" title="Ticket #507" />
        <link rel="last" href="/tickets/2373.html" title="Ticket #2373" />
        <link rel="help" href="/trac/cactus/wiki/TracGuide" />
        <link rel="alternate" href="/tickets/508.csv" type="text/csv" class="csv" title="Comma-delimited Text" /><link rel="alternate" href="/tickets/508?format=tab" type="text/tab-separated-values" class="tab" title="Tab-delimited Text" /><link rel="alternate" href="/tickets/508?format=rss" type="application/rss+xml" class="rss" title="RSS Feed" />
        <link rel="next" href="/tickets/509.html" title="Ticket #509" />
        <link rel="start" href="/trac/cactus/wiki" />
        <link rel="stylesheet" href="/static/trac.css" type="text/css" /><link rel="stylesheet" href="/static/ticket.css" type="text/css" />
        <link rel="first" href="/tickets/1.html" title="Ticket #1" />
        <link rel="shortcut icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
        <link rel="icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
    <style id="trac-noscript" type="text/css">.trac-noscript { display: none !important }</style>
      <link type="application/opensearchdescription+xml" rel="search" href="/trac/cactus/search/opensearch" title="Search cactus" />
    <script type="text/javascript">
      var auto_preview_timeout=2.0;
      var form_token="41409b602c405d7bf17223a7";
      var comments_prefs={"comments_only":"false","comments_order":"oldest"};
    </script>
      <script type="text/javascript" charset="utf-8" src="/static/jquery.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/babel.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/trac.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/search.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/folding.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/wikitoolbar.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/resizer.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/auto_preview.js"></script>
    <script type="text/javascript">
      jQuery("#trac-noscript").remove();
      jQuery(document).ready(function($) {
        $(".trac-autofocus").focus();
        $(".trac-target-new").attr("target", "_blank");
        setTimeout(function() { $(".trac-scroll").scrollToTop() }, 1);
        $(".trac-disable-on-submit").disableOnSubmit();
      });
    </script>
    <script type="text/javascript" src="/static/threaded_comments.js"></script>
    <script type="text/javascript">
      jQuery(document).ready(function($) {
        $("div.description").find("h1,h2,h3,h4,h5,h6").addAnchor(_("Link to this section"));
        $(".foldable").enableFolding(false, true);
      /*<![CDATA[*/
        $("#attachments").toggleClass("collapsed");
        $("#trac-up-attachments").click(function () {
          $("#attachments").removeClass("collapsed");
          return true;
        });
        $("#modify").parent().toggleClass("collapsed");
        $(".trac-topnav a").click(function() { $("#modify").parent().removeClass("collapsed"); });
        /* only enable control elements for the currently selected action */
        var actions = $("#action input[name='action']");
        function updateActionFields() {
          actions.each(function () {
            $(this).siblings().find("*[id]").enable($(this).checked());
            $(this).siblings().filter("*[id]").enable($(this).checked());
          });
        }
        actions.click(updateActionFields);
        updateActionFields();
        function setRevertHandler() {
          $("button.trac-revert").click(function() {
            var div = $("div", this);
            var field_name = div[0].id.substr(7);
            var field_value = div.text();
            var input = $("#propertyform *[name=field_" + field_name + "]");
            if (input.length > 0) {
              if (input.filter("input[type=radio]").length > 0) {
                input.val([field_value]);
              } else if (input.filter("input[type=checkbox]").length > 0) {
                input.val(field_value == "1" ? [field_value] : []);
              } else {
                input.val(field_value);
              }
            } else { // Special case for CC checkbox
              input = $("#propertyform input[name=cc_update]").val([]);
            }
            input.change();
            $(this).closest("li").remove();
            return false;
          });
        }
        setRevertHandler();
        var comment_focused = false;
        $("#comment").focus(function() { comment_focused = true; })
                     .blur(function() { comment_focused = false; });
        $("#propertyform").autoSubmit({preview: '1'}, function(data, reply) {
          var items = $(reply);
          // Update ticket box
          $("#ticket").replaceWith(items.filter('#ticket'));
          // Unthread, unrevert and update changelog
          if (!$('#trac-comments-oldest').checked())
            $('#trac-comments-oldest').click().change();
          $("#changelog").replaceWith(items.filter("#changelog"));
          if ($('#trac-comments-only-toggle').attr('checked'))
            $('#trac-comments-only-toggle').click().attr('checked', true);
          // Show warning
          var new_changes = $("#changelog .trac-new");
          $("#trac-edit-warning").toggle(new_changes.length != 0);
          if (new_changes.length != 0)
            $("#changelog").parent().show().removeClass("collapsed");
          // Update view time
          $("#propertyform input[name='view_time']").replaceWith(items.filter("input[name='view_time']"));
          // Update preview
          var preview = $("#ticketchange").html(items.filter('#preview').children());
          var show_preview = preview.children().length != 0;
          $("#ticketchange").toggle(show_preview);
          setRevertHandler();
          // Collapse property form if comment editor has focus
          if (show_preview && comment_focused)
            $("#modify").parent().addClass("collapsed");
          // Execute scripts to load stylesheets
          items.filter("script").appendTo("head");
        }, "#ticketchange .trac-loading");
        $("#trac-comment-editor").autoSubmit({preview_comment: '1'}, function(data, reply) {
          var comment = $("#trac-comment-editor").next("div.comment").html(reply);
          comment.toggle(comment.children().length != 0);
        }, "#changelog .trac-loading");
        /*]]>*/
      });
    </script>
  </head>
  <body>
    <div id="banner">
      <div id="header">
        <a id="logo" href="/"><img src="/static/cactus_trac_logo.png" alt="" /></a>
      </div>
      <form id="search" action="/trac/cactus/search" method="get">
        <div>
          <label for="proj-search">Search:</label>
          <input type="text" id="proj-search" name="q" size="18" value="" />
          <input type="submit" value="Search" />
        </div>
      </form>
      <div id="metanav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/login">Login</a></li><li><a href="/trac/cactus/prefs">Preferences</a></li><li><a href="/trac/cactus/wiki/TracGuide">Help/Guide</a></li><li class="last"><a href="/trac/cactus/about">About Trac</a></li>
    </ul>
  </div>
    </div>
    <div id="mainnav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/wiki">Wiki</a></li><li><a href="/trac/cactus/timeline">Timeline</a></li><li><a href="/trac/cactus/roadmap">Roadmap</a></li><li><a href="/trac/cactus/browser">Browse Source</a></li><li class="active"><a href="/trac/cactus/report">View Tickets</a></li><li><a href="/trac/cactus/search">Search</a></li><li class="last"><a href="/trac/cactus/blog">Blog</a></li>
    </ul>
  </div>
    <div id="main">
      <div id="ctxtnav" class="nav">
        <h2>Context Navigation</h2>
        <ul>
          <li class="first"><span>&larr; <a class="prev" href="/tickets/507.html" title="Ticket #507">Previous Ticket</a></span></li><li class="last"><span><a class="next" href="/tickets/509.html" title="Ticket #509">Next Ticket</a> &rarr;</span></li>
        </ul>
        <hr />
      </div>
    <div id="content" class="ticket">
        <div id="ticket" class="trac-content ">
  <div class="date">
    <p>Opened <a class="timeline" href="/trac/cactus/timeline?from=2014-02-14T16%3A23%3A12%2B01%3A00&amp;precision=second" title="See timeline at Feb 14, 2014 4:23:12 PM">5 years ago</a></p>
    <p>Closed <a class="timeline" href="/trac/cactus/timeline?from=2014-09-07T19%3A53%3A23%2B02%3A00&amp;precision=second" title="See timeline at Sep 7, 2014 7:53:23 PM">4 years ago</a></p>
  </div>
  <h2>
    <a href="/tickets/508.html" class="trac-id">#508</a>
    <span class="trac-status">
      <a href="/trac/cactus/query?status=closed">closed</a>
    </span>
    <span class="trac-type">
      <a href="/trac/cactus/query?status=!closed&amp;type=enhancement">enhancement</a>
    </span>
    <span class="trac-resolution">
      (<a href="/trac/cactus/query?status=closed&amp;resolution=fixed">fixed</a>)
    </span>
  </h2>
  <h1 id="trac-ticket-title" class="searchable">
    <span class="summary">Upgrade doxygen version</span>
  </h1>
  <table class="properties">
    <tr>
      <th id="h_reporter">Reported by:</th>
      <td headers="h_reporter" class="searchable"><a href="/trac/cactus/query?status=!closed&amp;reporter=thea">thea</a></td>
      <th id="h_owner">Owned by:</th>
      <td headers="h_owner"><a href="/trac/cactus/query?status=!closed&amp;owner=thea%2Cclazarid%2Ccghabrou%2Ctsw">thea,clazarid,cghabrou,tsw</a></td>
    </tr>
    <tr>
        <th id="h_priority">
          Priority:
        </th>
        <td headers="h_priority">
              <a href="/trac/cactus/query?status=!closed&amp;priority=major">major</a>
        </td>
        <th id="h_milestone" class="missing">
          Milestone:
        </th>
        <td headers="h_milestone">
              <a class="missing milestone"></a>
        </td>
    </tr><tr>
        <th id="h_component">
          Component:
        </th>
        <td headers="h_component">
              <a href="/trac/cactus/query?status=!closed&amp;component=svn%2Ftrac+admin">svn/trac admin</a>
        </td>
        <th id="h_version" class="missing">
          Version:
        </th>
        <td headers="h_version">
              <a href="/trac/cactus/query?status=!closed&amp;version="></a>
        </td>
    </tr><tr>
        <th id="h_keywords" class="missing">
          Keywords:
        </th>
        <td headers="h_keywords" class="searchable">
        </td>
        <th id="h_cc" class="missing">
          Cc:
        </th>
        <td headers="h_cc" class="searchable">
        </td>
    </tr>
  </table>
  <div class="description">
    <h3 id="comment:description">
      Description
    </h3>
    <div class="searchable">
      <p>
The doxygen version used in the nightlies is rather old (1.6.1)<br />
</p>
<p>
With little effort is possible to upgrade to 1.8.6, adding several useful features as the search box.<br />
</p>
<p>
I have made an attempt not long ago based on the ECAL doxygen setup and it works.<br />
</p>
<ul><li>Doxygen and the configuration files are in the <strong>~cactus/ale/</strong> folder.
</li><li>The configuration file is <strong>~cactus/ale/ecal-doxygen/ecal.doxy</strong>
</li><li>The setup uses a header template: <strong>~cactus/ale/ecal-doxygen/header.html</strong>, which has to be adapted to the cactus needs (title, logo,...).
</li><li>The cactus doxygen doesn't include the source code, at the moment. Adding the source file help developers navigating through the code. 
</li></ul><p>
TODO<br />
</p>
<ul><li>Create a new doxy file for uhal &amp; ts
</li><li>Modify the header
</li><li>Include the source code generation
</li><li>Add the new files to <strong>cactus</strong>
</li><li>Update the nightly scripts
</li></ul>
    </div>
  </div>
</div>
          

        <div>
          <div style="position: relative">
            <form id="prefs" method="get" action="/trac/cactus/prefs" style="position: absolute; right: 0">
              <div id="trac-comments-order">
                <input type="radio" id="trac-comments-oldest" name="trac-comments-order" value="oldest" checked="checked" />
                <label for="trac-comments-oldest">Oldest first</label>
                <input type="radio" id="trac-comments-newest" name="trac-comments-order" value="newest" />
                <label for="trac-comments-newest">Newest first</label>
                <span id="trac-threaded-toggle" style="display: none">
                  <input type="radio" id="trac-comments-threaded" name="trac-comments-order" value="threaded" />
                  <label for="trac-comments-threaded">Threaded</label>
                </span>
              </div>
              <div>
                <input id="trac-comments-only-toggle" type="checkbox" />
                <label for="trac-comments-only-toggle">Comments only</label>
              </div>
            </form>
          </div>
          <h3 class="foldable">Change History <span class="trac-count">(13)</span></h3>
          <div id="changelog">
              <div class="change" id="trac-change-1-1394090613000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:1" class="cnum">
    <a href="#comment:1">comment:1</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-03-06T08%3A23%3A33%2B01%3A00&amp;precision=second" title="See timeline at Mar 6, 2014 8:23:33 AM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
*Done*<br />
</p>
<ul><li>Create a new doxy file for uhal &amp; ts
</li><li>Modify the header
</li><li>Include the source code generation
</li></ul><p>
*TODO*<br />
</p>
<ul><li>Organize the documentation pages by subprojects
</li><li>Add the relevant README.md files
</li><li>Add the new files to cactus
</li><li>Update the nightly scripts
</li></ul>
    </div>

              </div>
              <div class="change" id="trac-change-2-1394796231000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:2" class="cnum">
    <a href="#comment:2">comment:2</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-03-14T12%3A23%3A51%2B01%3A00&amp;precision=second" title="See timeline at Mar 14, 2014 12:23:51 PM">5 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Hi,<br />
</p>
<p>
I've tried out the new doxygen for uHAL - by running ~cactus/doxygen/api_dev_uhal.sh<tt> on </tt>cactus-worker-6`<br />
</p>
<p>
In order to add a couple of pointers on the homepage I've updated <a class="source" href="/trac/cactus/browser/trunk/cactuscore/uhal/README.md">trunk/cactuscore/uhal/README.md</a><a class="trac-rawlink" href="/trac/cactus/export/HEAD/trunk/cactuscore/uhal/README.md" title="Download">​</a><br />
</p>
<p>
The end result can be seen at <a class="ext-link" href="http://cactus.web.cern.ch/cactus/nightly/api/html_dev_uhal/index.html"><span class="icon">​</span>http://cactus.web.cern.ch/cactus/nightly/api/html_dev_uhal/index.html</a><br />
</p>
<p>
In order to get the banner line at the top of the page to say "uHAL (nightly build)", I had to edit the <tt>PROJECT_NAME</tt> line in the common configuration file, <tt>~cactus/doxygen/cactus-v2.doxy</tt>. So, I propose that we make that line:<br />
</p>
<pre class="wiki">PROJECT_NAME = $(DOXYGEN_PROJECT_NAME)
</pre><p>
and set+export that env variable in each of the doxygen-generating scripts (e.g. <tt>api_dev_uhal.sh</tt>. What do you think?<br />
</p>
<p>
Also, should we try to put these files into SVN soon?<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-3-1394802847000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:3" class="cnum">
    <a href="#comment:3">comment:3</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-03-14T14%3A14%3A07%2B01%3A00&amp;precision=second" title="See timeline at Mar 14, 2014 2:14:07 PM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
That is fine.<br />
</p>
<p>
Also, the EXCLUDE variable may have to be customized on a per-project basis. <br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-4-1395063854000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:4" class="cnum">
    <a href="#comment:4">comment:4</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-03-17T14%3A44%3A14%2B01%3A00&amp;precision=second" title="See timeline at Mar 17, 2014 2:44:14 PM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
  <ul class="changes">
    <li class="trac-field-component">
      <strong class="trac-field-component">Component</strong>
        changed from <em>unknown</em> to <em>svn/trac admin</em>
    </li>
  </ul>

              </div>
              <div class="change" id="trac-change-5-1395064058000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:5" class="cnum">
    <a href="#comment:5">comment:5</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-03-17T14%3A47%3A38%2B01%3A00&amp;precision=second" title="See timeline at Mar 17, 2014 2:47:38 PM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
  <ul class="changes">
    <li class="trac-field-cc">
      <strong class="trac-field-cc">Cc</strong>
        <em>clazarid</em> <em>cghabrou</em> removed
    </li><li class="trac-field-owner">
      <strong class="trac-field-owner">Owner</strong>
        changed from <em>thea</em> to <em>thea,clazarid,cghabrou,tsw</em>
    </li>
  </ul>

              </div>
              <div class="change" id="trac-change-6-1396436521000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:6" class="cnum">
    <a href="#comment:6">comment:6</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-04-02T13%3A02%3A01%2B02%3A00&amp;precision=second" title="See timeline at Apr 2, 2014 1:02:01 PM">5 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Hi Alessandro,<br />
</p>
<p>
In making the doxygen for the pending uHAL 2.3.0 release, I found a bug. The <tt>~cactus/doxygen/header.html</tt> file  has a fixed link to the v2.2 doxygen on line 26. This means that in the new v2.3.0 doxy at <a class="ext-link" href="http://cactus.web.cern.ch/cactus/release/2.3/api/html_uhal/index.html"><span class="icon">​</span>http://cactus.web.cern.ch/cactus/release/2.3/api/html_uhal/index.html</a> , clicking on the logo in the top-right corner redirects you to the v2.2 doxygen. What's the preferred solution to this? Remove the link, change it to point at homepage for current release, or change it to point to <tt>cactus.web.cern.ch</tt> (i.e. TRAC homepage)?<br />
</p>
<p>
Also, can we put <tt>~cactus/doxygen</tt> in SVN? I prefer files such as this <tt>header.html</tt> to be in a versioning system before editing ...<br />
</p>
<p>
Cheers,<br />
Tom<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-7-1396437756000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:7" class="cnum">
    <a href="#comment:7">comment:7</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-04-02T13%3A22%3A36%2B02%3A00&amp;precision=second" title="See timeline at Apr 2, 2014 1:22:36 PM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Hi Tom,<br />
</p>
<p>
Well spotted, I have never found the time to go the extra mile (well, the *final* mile) to put everything in SVN. Sorry.<br />
</p>
<p>
I would make the link to point to <tt>cactus.web.cern.ch</tt><br />
</p>
<p>
Can you coordinate with <a class="missing wiki">Carlos/Christos?</a> to find a proper location for the new api scripts?<br />
I'm entangled in meeting and scheduling  for the rest of the week<br />
</p>
<p>
-a<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-8-1396452080000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:8" class="cnum">
    <a href="#comment:8">comment:8</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-04-02T17%3A21%3A20%2B02%3A00&amp;precision=second" title="See timeline at Apr 2, 2014 5:21:20 PM">5 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Sure.<br />
</p>
<p>
Currently the doxygen files are in SVN at <a class="source" href="/trac/cactus/browser/trunk/scripts/nightly">trunk/scripts/nightly</a>. I have temporarily added the <tt>~cactus/doxygen</tt> directory as <a class="source" href="/trac/cactus/browser/trunk/scripts/nightly/doxygen">trunk/scripts/nightly/doxygen</a><br />
</p>
<p>
@Carlos, Christos ... do you think this is an appropriate long term location, or can either of you think of a better location?<br />
</p>
<p>
Also, I committed all of the files that were in <tt>~cactus/doxygen</tt> (and then removed the <tt>doxygen-1.8.6</tt> subdirectory); I haven't checked if any of the committed files are unused.<br />
</p>
<p>
Cheers,<br />
Tom<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-9-1396512167000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:9" class="cnum">
    <a href="#comment:9">comment:9</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-04-03T10%3A02%3A47%2B02%3A00&amp;precision=second" title="See timeline at Apr 3, 2014 10:02:47 AM">5 years ago</a> by cghabrou
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Hi Tom, <br />
I think the location is fine. <br />
</p>
<p>
Cheers,<br />
Carlos.<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-10-1400773348000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:10" class="cnum">
    <a href="#comment:10">comment:10</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-05-22T17%3A42%3A28%2B02%3A00&amp;precision=second" title="See timeline at May 22, 2014 5:42:28 PM">5 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Is there any pending action about this ticket? Can we close it?<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-11-1400856498000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:11" class="cnum">
    <a href="#comment:11">comment:11</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-05-23T16%3A48%3A18%2B02%3A00&amp;precision=second" title="See timeline at May 23, 2014 4:48:18 PM">5 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Hi,<br />
</p>
<p>
The uhal script wasn't set up correctly (release values of env vars rather than nightly values); also the nightlies were still running the scripts from <tt>~/doxygen</tt> (old directory) rather than the checked-out directory <tt>~/nightly/doxygen</tt><br />
</p>
<p>
Both corrected (former in changeset <a class="changeset" href="/trac/cactus/changeset/28911" title="doxygen, #508 : Corrections to uhal doxygen script
">[28911]</a>)<br />
</p>
<p>
To avoid confusion in future, it might be sensible to delete <tt>~/doxygen</tt> if you have no further use for it ; I can't think of anything else that needs to be done.<br />
</p>
<p>
Cheers,<br />
Tom<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-12-1409308953000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:12" class="cnum">
    <a href="#comment:12">comment:12</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-08-29T12%3A42%3A33%2B02%3A00&amp;precision=second" title="See timeline at Aug 29, 2014 12:42:33 PM">4 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
Can we close this ticket?<br />
</p>

    </div>

              </div>
              <div class="change" id="trac-change-13-1410112403000000">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:13" class="cnum">
    <a href="#comment:13">comment:13</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2014-09-07T19%3A53%3A23%2B02%3A00&amp;precision=second" title="See timeline at Sep 7, 2014 7:53:23 PM">4 years ago</a> by thea
  </h3>
  <div class="trac-ticket-buttons">
  </div>
  <ul class="changes">
    <li class="trac-field-resolution">
      <strong class="trac-field-resolution">Resolution</strong>
        set to <em>fixed</em>
    </li><li class="trac-field-status">
      <strong class="trac-field-status">Status</strong>
        changed from <em>new</em> to <em>closed</em>
    </li>
  </ul>

              </div>
          </div>
        </div>
      <div id="help"><strong>Note:</strong> See
        <a href="/trac/cactus/wiki/TracTickets">TracTickets</a> for help on using
        tickets.</div>
    </div>
    <div id="altlinks">
      <h3>Download in other formats:</h3>
      <ul>
        <li class="first">
          <a rel="nofollow" href="/tickets/508.csv" class="csv">Comma-delimited Text</a>
        </li><li>
          <a rel="nofollow" href="/tickets/508?format=tab" class="tab">Tab-delimited Text</a>
        </li><li class="last">
          <a rel="nofollow" href="/tickets/508?format=rss" class="rss">RSS Feed</a>
        </li>
      </ul>
    </div>
    </div>
    <div id="footer" lang="en" xml:lang="en"><hr />
      <a id="tracpowered" href="http://trac.edgewall.org/"><img src="/static/trac_logo_mini.png" height="30" width="107" alt="Trac Powered" /></a>
      <p class="left">Powered by <a href="/trac/cactus/about"><strong>Trac 1.0.8</strong></a><br />
        By <a href="http://www.edgewall.org/">Edgewall Software</a>.</p>
      <p class="right"></p>
    </div>
  </body>
</html>